Merge branch 'matouch_esp32_s3_2_8_spi'

This commit is contained in:
Thomas Farstrike
2026-02-10 22:03:58 +01:00
18 changed files with 1073 additions and 390 deletions
+17
View File
@@ -47,6 +47,23 @@ if [ $result -ne 0 ]; then
fi
cp "$buildfile" "$outdir"/MicroPythonOS_waveshare-esp32-s3-touch-lcd-2_dev_"$version".bin
./scripts/build_lvgl_micropython.sh esp32 prod matouch-esp32-s3-2-8
result=$?
if [ $result -ne 0 ]; then
echo "build_lvgl_micropython.sh esp32 prod matouch-esp32-s3-2-8 got error: $result"
exit 1
fi
cp "$buildfile" "$outdir"/MicroPythonOS_matouch-esp32-s3-2-8_prod_"$version".bin
cp "$updatefile" "$updatesdir"/MicroPythonOS_matouch-esp32-s3-2-8_prod_"$version".ota
./scripts/build_lvgl_micropython.sh esp32 dev matouch-esp32-s3-2-8
result=$?
if [ $result -ne 0 ]; then
echo "build_lvgl_micropython.sh esp32 dev matouch-esp32-s3-2-8 got error: $result"
exit 1
fi
cp "$buildfile" "$outdir"/MicroPythonOS_matouch-esp32-s3-2-8_dev_"$version".bin
./scripts/build_lvgl_micropython.sh unix dev
cp "$builddir"/lvgl_micropy_unix "$outdir"/MicroPythonOS_amd64_linux_"$version".elf
result=$?
-17
View File
@@ -14,7 +14,6 @@ if [ -z "$target" ]; then
echo "Example: $0 unix"
echo "Example: $0 macOS"
echo "Example: $0 esp32"
echo
exit 1
fi
@@ -42,19 +41,6 @@ fi
echo "Resulting file:"
cat "$idfile"
# Adding it doesn't hurt - it won't be used anyway as RLOTTIE is disabled in lv_conf.h
echo "Check need to add esp_rlottie"
#if ! grep rlottie "$idfile"; then
if false; then
echo "Adding esp_rlottie to $idfile"
echo " esp_rlottie:
git: https://github.com/MicroPythonOS/esp_rlottie" >> "$idfile"
echo "Resulting file:"
cat "$idfile"
else
echo "No need to add esp_rlottie to $idfile"
fi
echo "Check need to add lvgl_micropython manifest to micropython-camera-API's manifest..."
camani="$codebasedir"/micropython-camera-API/src/manifest.py
rellvglmani=lvgl_micropython/build/manifest.py
@@ -114,9 +100,6 @@ if [ "$target" == "esp32" ]; then
rm -rf lib/micropython/ports/esp32/build-ESP32_GENERIC_S3-SPIRAM_OCT/
python3 make.py --ota --partition-size=4194304 --flash-size=16 esp32 BOARD=ESP32_GENERIC_S3 BOARD_VARIANT=SPIRAM_OCT DISPLAY=st7789 INDEV=cst816s USER_C_MODULE="$codebasedir"/micropython-camera-API/src/micropython.cmake USER_C_MODULE="$codebasedir"/secp256k1-embedded-ecdh/micropython.cmake USER_C_MODULE="$codebasedir"/c_mpos/micropython.cmake CONFIG_FREERTOS_USE_TRACE_FACILITY=y CONFIG_FREERTOS_VTASKLIST_INCLUDE_COREID=y CONFIG_FREERTOS_GENERATE_RUN_TIME_STATS=y "$frozenmanifest"
popd
echo "Grepping..."
pwd
grep FrameSize.R480X480 -nril .
elif [ "$target" == "unix" -o "$target" == "macOS" ]; then
manifest=$(readlink -f "$codebasedir"/manifests/manifest.py)
frozenmanifest="FROZEN_MANIFEST=$manifest"
+4
View File
@@ -70,6 +70,10 @@ $mpremote fs cp ../internal_filesystem_excluded/data/com.micropythonos.system.wi
$mpremote fs mkdir :/apps
$mpremote fs cp -r apps/com.micropythonos.* :/apps/
find apps/ -maxdepth 1 -type l | while read symlink; do
if echo $symlink | grep quasiboats; then
echo "Skipping $symlink because it's needlessly big..."
continue
fi
echo "Handling symlink $symlink"
$mpremote fs mkdir :/"$symlink"
$mpremote fs cp -r "$symlink"/* :/"$symlink"/